VLCTime Class Reference

`#import <VLCTime.h>`

Inheritance diagram for VLCTime:

## Instance Methods

(instancetype) | - initWithNumber:
(instancetype) | - initWithInt:
(NSNumber *numberValue) | - __attribute__
(NSComparisonResult) | - compare:
(BOOL) | - isEqual:
(NSUInteger) | - hash

## Class Methods

(VLCTime *) | + nullTime
(VLCTime *) | + timeWithNumber:
(VLCTime *) | + timeWithInt:

## Properties

NSNumber * | value
| Holds, in milliseconds, the VLCTime value. More...
NSString * | stringValue
NSString * | verboseStringValue
NSString * | minuteStringValue
int | intValue

## Detailed Description

Provides an object to define VLCMedia's time.

## Method Documentation

## __attribute__()

- (NSNumber* numberValue) __attribute__ |  | ((deprecated)) |  |

the current time value as NSNumber

Returns
  the NSNumber object

Deprecated:
  use value instead

## compare:()

- (NSComparisonResult) compare: |  | (VLCTime *) | aTime |

compare the current VLCTime instance against another instance

Parameters

  aTime | the VLCTime instance to compare against

Returns
  a NSComparisonResult

## hash()

- (NSUInteger) hash |  |  |

Calculcate a unique hash for the current time instance

Returns
  a hash value

## initWithInt:()

- (instancetype) initWithInt: |  | (int) | aInt |

init a time object with a given integer

Parameters

  aInt | the int with a time in milliseconds

Returns
  the VLCTime object

## initWithNumber:()

- (instancetype) initWithNumber: |  | (NSNumber *) | aNumber |

init a time object with a given number object

Parameters

  aNumber | the NSNumber object with a time in milliseconds

Returns
  the VLCTime object

## isEqual:()

- (BOOL) isEqual: |  | (id) | object |

compare the current VLCTime instance against another instance

Parameters

  object | the VLCTime instance to compare against

Returns
  a BOOL whether the instances are equal or not

## nullTime()

+ (VLCTime *) nullTime |  |  |

factorize an empty time object

Returns
  the VLCTime object

## timeWithInt:()

+ (VLCTime *) timeWithInt: |  | (int) | aInt |

factorize a time object with a given integer

Parameters

  aInt | the int with a time in milliseconds

Returns
  the VLCTime object

## timeWithNumber:()

+ (VLCTime *) timeWithNumber: |  | (NSNumber *) | aNumber |

factorize a time object with a given number object

Parameters

  aNumber | the NSNumber object with a time in milliseconds

Returns
  the VLCTime object

## Property Documentation

## intValue

- (int) intValue

readatomicassign

the current time value as int value

Returns
  the int

## minuteStringValue

- (NSString*) minuteStringValue

readatomicassign

the current time value as string value localized for the current environment representing the time in minutes

Returns
  the NSString object

## stringValue

- (NSString*) stringValue

readatomicassign

the current time value as string value localized for the current environment

Returns
  the NSString object

## value

- (NSNumber*) value

readnonatomicassign

Holds, in milliseconds, the VLCTime value.

the current time value as NSNumber

Returns
  the NSNumber object

## verboseStringValue

- (NSString*) verboseStringValue

readatomicassign

the current time value as verbose string value localized for the current environment

Returns
  the NSString object

The documentation for this class was generated from the following file:

- Headers/Public/VLCTime.h